Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class XlsxZip

    java.lang.Object
      net.sf.jasperreports.engine.export.zip.AbstractZip
          net.sf.jasperreports.engine.export.zip.FileBufferedZip
              net.sf.jasperreports.engine.export.ooxml.XlsxZip

    public class XlsxZip

extends FileBufferedZip

Version:
  $Id: OoxmlZip.java 2976 2009-07-28 14:38:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip
`exportZipEntries`

Constructor Summary
`XlsxZip()`

Method Summary
`ExportZipEntry` | `addDrawing(int index)`
`ExportZipEntry` | `addDrawingRels(int index)`
`ExportZipEntry` | `addSheet(int index)`
`ExportZipEntry` | `addSheetRels(int index)`
`ExportZipEntry` | `getContentTypesEntry()`
`ExportZipEntry` | `getRelsEntry()`
`ExportZipEntry` | `getStylesEntry()`
`ExportZipEntry` | `getWorkbookEntry()`

Methods inherited from class net.sf.jasperreports.engine.export.zip.FileBufferedZip
`addEntry, createEntry`

Methods inherited from class net.sf.jasperreports.engine.export.zip.AbstractZip
`addEntry, dispose, zipEntries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XlsxZip

    public XlsxZip()
            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getWorkbookEntry

    public ExportZipEntry getWorkbookEntry()

### getStylesEntry

    public ExportZipEntry getStylesEntry()

### getRelsEntry

    public ExportZipEntry getRelsEntry()

### getContentTypesEntry

    public ExportZipEntry getContentTypesEntry()

### addSheet

    public ExportZipEntry addSheet(int index)

### addSheetRels

    public ExportZipEntry addSheetRels(int index)

### addDrawing

    public ExportZipEntry addDrawing(int index)

### addDrawingRels

    public ExportZipEntry addDrawingRels(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com